[Toaster] [PATCH 16/20] toaster: implement 'toaster restart-bitbake'
Ed Bartosh
ed.bartosh at linux.intel.com
Sun Oct 11 14:15:53 PDT 2015
This implementation allows to have functionality of restarting
bitbake in toaster script. It can be used by toaster script and
build controllers.
[YOCTO #8279]
Signed-off-by: Ed Bartosh <ed.bartosh at linux.intel.com>
---
bin/toaster | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/bin/toaster b/bin/toaster
index fee277c..e1eb655 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -209,6 +209,13 @@ if [ `basename \"$0\"` = `basename \"${SRCFILE}\"` ]; then
exit 1
fi
+if [ "$1" = 'restart-bitbake' ] ; then
+ stop_bitbake
+ sleep 1
+ start_bitbake
+ sleep 1
+ return $?
+fi
if ! verify_prereq; then
echo "Error: Could not verify that the needed dependencies are installed. Please use virtualenv and pip to install dependencies listed in toaster-requirements.txt" 1>&2
--
2.1.4
More information about the toaster
mailing list